<?php
/* $Fuller: myprograms/htbm/web/php/listkids.php,v 1.26 2004/01/26 01:44:26 fullermd Exp $ */

/* Show children */
function listkids($cid)
{
	global $conf;
	global $confenc;
	global $categories;
	global $self;
	global $db;

	$thekids = $categories[$cid]['children'];
	if(!$thekids)
	{ return; }

	d_print("<!-- Starting on children of $cid -->\n");
	print("<ul>\n");

	/* Start looking */
	foreach($thekids as $dummy => $thevalue)
	{
		d_print("<!-- Starting on child $thevalue -->\n");
		/* This probably shouldn't happen */
		if($thevalue==0)
		{ continue; }

		/* Do we have bookmarks? */
		$querystr = "SELECT parent FROM bm_links "
				. "WHERE parent='$thevalue' LIMIT 1";
		$ckbookres = db_query($querystr);
		if(db_numrows($ckbookres) == 1)
		{ $havemarks=1; d_print("<!-- We have bookmarks -->\n"); }
		else
			$havemarks=0;
		db_qfree($ckbookres);

		/* Do we have kids? */
		$havekids = $categories[$thevalue]['has_children'];

		if($havekids==1 || $havemarks==1)
		{
			/* Check expansion */
			d_print("<!-- Cat $thevalue has kids($havekids)/"
					. "marks($havemarks) -->\n");
			if(in_array($thevalue, $conf['expanders']))
			{
				/* Show subparts and 'collapse' image */
				$showmore=1;
				$img="minus";
				$ialt="-";
				$expthis = -($thevalue);
			} else {
				/* Don't show subparts */
				$showmore=0;
				$img="plus";
				$ialt="+";
				$expthis = $thevalue;
			}

			$indimg = "<a href=\"$self?conf=$confenc&amp;"
					. "expand=$expthis\"><img src=\"images/$img.png\" "
					. "height=\"11\" width=\"11\" alt=\"$ialt\" "
					. "class=\"expcol\" /></a>";
		}
		else
		{
			d_print("<!-- Cat $thevalue has NO kids/marks -->\n");
			$showmore=0;
			$indimg = '<img src="images/dot.png" height="11" "
					. "width="11" alt="*" class="expcol" />';
		}
		printf("<li class=\"category\">%s %s", $indimg,
				htmlentities($categories[$thevalue]['name']));

		if($conf['admin']==1)
		{
			print("<span class=\"bmadmin\"> ");
			if($conf['debug']==1)
				print("($thevalue) ");
			print("[<a href=\"bmadmin.php?cat_id=$thevalue&amp;"
					. "amode=catedit&amp;conf=$confenc\">Edit</a>] "
					. "[<a href=\"bmadmin.php?cat_id=$thevalue&amp;"
					. "amode=catdele&amp;conf=$confenc\">Delete</a>]"
					. "</span>");
		}

		print("\n");

		if($showmore==1 || $conf['expandall']==1)
		{
			/* List any child categories */
			listkids($thevalue);

			/* And list the bookmarks */
			listmarks($thevalue);
		}

		print("</li>\n");
	}

	print("</ul>\n");
}

?>
